{
  "type": "minecraft:crafting_shaped",
  "category": "misc",
  "key": {
    "#": {
      "item": "minecraft:white_dye"
    },
    "$": {
      "item": "minecraft:red_dye"
    },
    "@": [
      {
        "item": "minecraft:stone"
      },
      {
        "item": "minecraft:granite"
      },
      {
        "item": "minecraft:diorite"
      },
      {
        "item": "minecraft:andesite"
      },
      {
        "item": "minecraft:deepslate"
      },
      {
        "item": "minecraft:calcite"
      },
      {
        "item": "minecraft:tuff"
      }
    ]
  },
  "pattern": [
    "#$#",
    "$@$",
    "#$#"
  ],
  "result": {
    "count": 2,
    "item": "modernlifepatch:null_block"
  },
  "show_notification": true
}